{-# LANGUAGE NoImplicitPrelude #-}
module Bamboo.Theme.Blueprint.Control.Search where
  
import Bamboo.Type.State
import Bamboo.Theme.Blueprint.Atom.Post (entry)
import Bamboo.Theme.Blueprint.Control.Helper (nav)
import Bamboo.Theme.Blueprint.Env
import Bamboo.Theme.Blueprint.Widget.Template (page)

view :: Widget
view s = 
  s
    .posts
    .map (entry s)
    .(+++ nav (s.pager) nav_url)
    .page s
  where
    nav_url = (s.env.slashed_script_name / "search") ++ "?s=" ++ (s.search_key) ++ "&"
