{-# LANGUAGE NoImplicitPrelude #-}
module Bamboo.Theme.Blueprint.Widget.SearchBar where
  
import Bamboo.Helper.StateHelper (html_only_for)
import Bamboo.Theme.Blueprint.Env hiding (header)

search_bar :: Widget
search_bar s = html_only_for Search $ 
      div_id "search" 
  <<  form ! [action (s.env.slashed_script_name / "search"), method "get"]
  <<  thediv
  <<  textfield "s"
